Subject: Re: bug#62429: 30.0.50; Add jsx faces to typescript-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Mar 2023 15:30:37 +0300

> Cc: [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Fri, 24 Mar 2023 16:49:35 -0700
> 
> Hey Theo, I want to add separate faces for JSX tags and attributes.
> Otherwise users will be in a world of pain if they want to use different
> fontification for JSX tag and funcall, and JSX attribute and constant. WDYT?

We never had any mode-specific faces for font-lock, AFAIK.  Why is
this case different?  Why not use one of the existing font-lock faces,
or even add new ones (but not specific to JSX)?

(Adding Stefan.)